/**
 * Copyright (c) 2000-2013 Liferay, Inc. All rights reserved.
 *
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
 * details.
 */

package it.tref.liferay.mapit.map.service.persistence;

import com.liferay.portal.kernel.bean.PortletBeanLocatorUtil;
import com.liferay.portal.kernel.dao.orm.DynamicQuery;
import com.liferay.portal.kernel.exception.SystemException;
import com.liferay.portal.kernel.util.OrderByComparator;
import com.liferay.portal.kernel.util.ReferenceRegistry;
import com.liferay.portal.service.ServiceContext;

import it.tref.liferay.mapit.map.model.PluginPortletPreferences;

import java.util.List;

/**
 * The persistence utility for the plugin portlet preferences service. This utility wraps {@link PluginPortletPreferencesPersistenceImpl} and provides direct access to the database for CRUD operations. This utility should only be used by the service layer, as it must operate within a transaction. Never access this utility in a JSP, controller, model, or other front-end class.
 *
 * <p>
 * Caching information and settings can be found in <code>portal.properties</code>
 * </p>
 *
 * @author
 * @see PluginPortletPreferencesPersistence
 * @see PluginPortletPreferencesPersistenceImpl
 * @generated
 */
public class PluginPortletPreferencesUtil {
	/*
	 * NOTE FOR DEVELOPERS:
	 *
	 * Never modify this class directly. Modify <code>service.xml</code> and rerun ServiceBuilder to regenerate this class.
	 */

	/**
	 * @see com.liferay.portal.service.persistence.BasePersistence#clearCache()
	 */
	public static void clearCache() {
		getPersistence().clearCache();
	}

	/**
	 * @see com.liferay.portal.service.persistence.BasePersistence#clearCache(com.liferay.portal.model.BaseModel)
	 */
	public static void clearCache(
		PluginPortletPreferences pluginPortletPreferences) {
		getPersistence().clearCache(pluginPortletPreferences);
	}

	/**
	 * @see com.liferay.portal.service.persistence.BasePersistence#countWithDynamicQuery(DynamicQuery)
	 */
	public static long countWithDynamicQuery(DynamicQuery dynamicQuery)
		throws SystemException {
		return getPersistence().countWithDynamicQuery(dynamicQuery);
	}

	/**
	 * @see com.liferay.portal.service.persistence.BasePersistence#findWithDynamicQuery(DynamicQuery)
	 */
	public static List<PluginPortletPreferences> findWithDynamicQuery(
		DynamicQuery dynamicQuery) throws SystemException {
		return getPersistence().findWithDynamicQuery(dynamicQuery);
	}

	/**
	 * @see com.liferay.portal.service.persistence.BasePersistence#findWithDynamicQuery(DynamicQuery, int, int)
	 */
	public static List<PluginPortletPreferences> findWithDynamicQuery(
		DynamicQuery dynamicQuery, int start, int end)
		throws SystemException {
		return getPersistence().findWithDynamicQuery(dynamicQuery, start, end);
	}

	/**
	 * @see com.liferay.portal.service.persistence.BasePersistence#findWithDynamicQuery(DynamicQuery, int, int, OrderByComparator)
	 */
	public static List<PluginPortletPreferences> findWithDynamicQuery(
		DynamicQuery dynamicQuery, int start, int end,
		OrderByComparator orderByComparator) throws SystemException {
		return getPersistence()
				   .findWithDynamicQuery(dynamicQuery, start, end,
			orderByComparator);
	}

	/**
	 * @see com.liferay.portal.service.persistence.BasePersistence#update(com.liferay.portal.model.BaseModel)
	 */
	public static PluginPortletPreferences update(
		PluginPortletPreferences pluginPortletPreferences)
		throws SystemException {
		return getPersistence().update(pluginPortletPreferences);
	}

	/**
	 * @see com.liferay.portal.service.persistence.BasePersistence#update(com.liferay.portal.model.BaseModel, ServiceContext)
	 */
	public static PluginPortletPreferences update(
		PluginPortletPreferences pluginPortletPreferences,
		ServiceContext serviceContext) throws SystemException {
		return getPersistence().update(pluginPortletPreferences, serviceContext);
	}

	/**
	* Returns all the plugin portlet preferenceses where plugin = &#63;.
	*
	* @param plugin the plugin
	* @return the matching plugin portlet preferenceses
	* @throws SystemException if a system exception occurred
	*/
	public static java.util.List<it.tref.liferay.mapit.map.model.PluginPortletPreferences> findByPlugin(
		java.lang.String plugin)
		throws com.liferay.portal.kernel.exception.SystemException {
		return getPersistence().findByPlugin(plugin);
	}

	/**
	* Returns a range of all the plugin portlet preferenceses where plugin = &#63;.
	*
	* <p>
	* Useful when paginating results. Returns a maximum of <code>end - start</code> instances. <code>start</code> and <code>end</code> are not primary keys, they are indexes in the result set. Thus, <code>0</code> refers to the first result in the set. Setting both <code>start</code> and <code>end</code> to {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS} will return the full result set. If <code>orderByComparator</code> is specified, then the query will include the given ORDER BY logic. If <code>orderByComparator</code> is absent and pagination is required (<code>start</code> and <code>end</code> are not {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS}), then the query will include the default ORDER BY logic from {@link it.tref.liferay.mapit.map.model.impl.PluginPortletPreferencesModelImpl}. If both <code>orderByComparator</code> and pagination are absent, for performance reasons, the query will not have an ORDER BY clause and the returned result set will be sorted on by the primary key in an ascending order.
	* </p>
	*
	* @param plugin the plugin
	* @param start the lower bound of the range of plugin portlet preferenceses
	* @param end the upper bound of the range of plugin portlet preferenceses (not inclusive)
	* @return the range of matching plugin portlet preferenceses
	* @throws SystemException if a system exception occurred
	*/
	public static java.util.List<it.tref.liferay.mapit.map.model.PluginPortletPreferences> findByPlugin(
		java.lang.String plugin, int start, int end)
		throws com.liferay.portal.kernel.exception.SystemException {
		return getPersistence().findByPlugin(plugin, start, end);
	}

	/**
	* Returns an ordered range of all the plugin portlet preferenceses where plugin = &#63;.
	*
	* <p>
	* Useful when paginating results. Returns a maximum of <code>end - start</code> instances. <code>start</code> and <code>end</code> are not primary keys, they are indexes in the result set. Thus, <code>0</code> refers to the first result in the set. Setting both <code>start</code> and <code>end</code> to {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS} will return the full result set. If <code>orderByComparator</code> is specified, then the query will include the given ORDER BY logic. If <code>orderByComparator</code> is absent and pagination is required (<code>start</code> and <code>end</code> are not {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS}), then the query will include the default ORDER BY logic from {@link it.tref.liferay.mapit.map.model.impl.PluginPortletPreferencesModelImpl}. If both <code>orderByComparator</code> and pagination are absent, for performance reasons, the query will not have an ORDER BY clause and the returned result set will be sorted on by the primary key in an ascending order.
	* </p>
	*
	* @param plugin the plugin
	* @param start the lower bound of the range of plugin portlet preferenceses
	* @param end the upper bound of the range of plugin portlet preferenceses (not inclusive)
	* @param orderByComparator the comparator to order the results by (optionally <code>null</code>)
	* @return the ordered range of matching plugin portlet preferenceses
	* @throws SystemException if a system exception occurred
	*/
	public static java.util.List<it.tref.liferay.mapit.map.model.PluginPortletPreferences> findByPlugin(
		java.lang.String plugin, int start, int end,
		com.liferay.portal.kernel.util.OrderByComparator orderByComparator)
		throws com.liferay.portal.kernel.exception.SystemException {
		return getPersistence()
				   .findByPlugin(plugin, start, end, orderByComparator);
	}

	/**
	* Returns the first plugin portlet preferences in the ordered set where plugin = &#63;.
	*
	* @param plugin the plugin
	* @param orderByComparator the comparator to order the set by (optionally <code>null</code>)
	* @return the first matching plugin portlet preferences
	* @throws it.tref.liferay.mapit.map.NoSuchPluginPortletPreferencesException if a matching plugin portlet preferences could not be found
	* @throws SystemException if a system exception occurred
	*/
	public static it.tref.liferay.mapit.map.model.PluginPortletPreferences findByPlugin_First(
		java.lang.String plugin,
		com.liferay.portal.kernel.util.OrderByComparator orderByComparator)
		throws com.liferay.portal.kernel.exception.SystemException,
			it.tref.liferay.mapit.map.NoSuchPluginPortletPreferencesException {
		return getPersistence().findByPlugin_First(plugin, orderByComparator);
	}

	/**
	* Returns the first plugin portlet preferences in the ordered set where plugin = &#63;.
	*
	* @param plugin the plugin
	* @param orderByComparator the comparator to order the set by (optionally <code>null</code>)
	* @return the first matching plugin portlet preferences, or <code>null</code> if a matching plugin portlet preferences could not be found
	* @throws SystemException if a system exception occurred
	*/
	public static it.tref.liferay.mapit.map.model.PluginPortletPreferences fetchByPlugin_First(
		java.lang.String plugin,
		com.liferay.portal.kernel.util.OrderByComparator orderByComparator)
		throws com.liferay.portal.kernel.exception.SystemException {
		return getPersistence().fetchByPlugin_First(plugin, orderByComparator);
	}

	/**
	* Returns the last plugin portlet preferences in the ordered set where plugin = &#63;.
	*
	* @param plugin the plugin
	* @param orderByComparator the comparator to order the set by (optionally <code>null</code>)
	* @return the last matching plugin portlet preferences
	* @throws it.tref.liferay.mapit.map.NoSuchPluginPortletPreferencesException if a matching plugin portlet preferences could not be found
	* @throws SystemException if a system exception occurred
	*/
	public static it.tref.liferay.mapit.map.model.PluginPortletPreferences findByPlugin_Last(
		java.lang.String plugin,
		com.liferay.portal.kernel.util.OrderByComparator orderByComparator)
		throws com.liferay.portal.kernel.exception.SystemException,
			it.tref.liferay.mapit.map.NoSuchPluginPortletPreferencesException {
		return getPersistence().findByPlugin_Last(plugin, orderByComparator);
	}

	/**
	* Returns the last plugin portlet preferences in the ordered set where plugin = &#63;.
	*
	* @param plugin the plugin
	* @param orderByComparator the comparator to order the set by (optionally <code>null</code>)
	* @return the last matching plugin portlet preferences, or <code>null</code> if a matching plugin portlet preferences could not be found
	* @throws SystemException if a system exception occurred
	*/
	public static it.tref.liferay.mapit.map.model.PluginPortletPreferences fetchByPlugin_Last(
		java.lang.String plugin,
		com.liferay.portal.kernel.util.OrderByComparator orderByComparator)
		throws com.liferay.portal.kernel.exception.SystemException {
		return getPersistence().fetchByPlugin_Last(plugin, orderByComparator);
	}

	/**
	* Returns the plugin portlet preferenceses before and after the current plugin portlet preferences in the ordered set where plugin = &#63;.
	*
	* @param pluginPortletPreferencesId the primary key of the current plugin portlet preferences
	* @param plugin the plugin
	* @param orderByComparator the comparator to order the set by (optionally <code>null</code>)
	* @return the previous, current, and next plugin portlet preferences
	* @throws it.tref.liferay.mapit.map.NoSuchPluginPortletPreferencesException if a plugin portlet preferences with the primary key could not be found
	* @throws SystemException if a system exception occurred
	*/
	public static it.tref.liferay.mapit.map.model.PluginPortletPreferences[] findByPlugin_PrevAndNext(
		long pluginPortletPreferencesId, java.lang.String plugin,
		com.liferay.portal.kernel.util.OrderByComparator orderByComparator)
		throws com.liferay.portal.kernel.exception.SystemException,
			it.tref.liferay.mapit.map.NoSuchPluginPortletPreferencesException {
		return getPersistence()
				   .findByPlugin_PrevAndNext(pluginPortletPreferencesId,
			plugin, orderByComparator);
	}

	/**
	* Removes all the plugin portlet preferenceses where plugin = &#63; from the database.
	*
	* @param plugin the plugin
	* @throws SystemException if a system exception occurred
	*/
	public static void removeByPlugin(java.lang.String plugin)
		throws com.liferay.portal.kernel.exception.SystemException {
		getPersistence().removeByPlugin(plugin);
	}

	/**
	* Returns the number of plugin portlet preferenceses where plugin = &#63;.
	*
	* @param plugin the plugin
	* @return the number of matching plugin portlet preferenceses
	* @throws SystemException if a system exception occurred
	*/
	public static int countByPlugin(java.lang.String plugin)
		throws com.liferay.portal.kernel.exception.SystemException {
		return getPersistence().countByPlugin(plugin);
	}

	/**
	* Returns all the plugin portlet preferenceses where portletId = &#63; and plugin = &#63;.
	*
	* @param portletId the portlet ID
	* @param plugin the plugin
	* @return the matching plugin portlet preferenceses
	* @throws SystemException if a system exception occurred
	*/
	public static java.util.List<it.tref.liferay.mapit.map.model.PluginPortletPreferences> findByP_P(
		java.lang.String portletId, java.lang.String plugin)
		throws com.liferay.portal.kernel.exception.SystemException {
		return getPersistence().findByP_P(portletId, plugin);
	}

	/**
	* Returns a range of all the plugin portlet preferenceses where portletId = &#63; and plugin = &#63;.
	*
	* <p>
	* Useful when paginating results. Returns a maximum of <code>end - start</code> instances. <code>start</code> and <code>end</code> are not primary keys, they are indexes in the result set. Thus, <code>0</code> refers to the first result in the set. Setting both <code>start</code> and <code>end</code> to {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS} will return the full result set. If <code>orderByComparator</code> is specified, then the query will include the given ORDER BY logic. If <code>orderByComparator</code> is absent and pagination is required (<code>start</code> and <code>end</code> are not {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS}), then the query will include the default ORDER BY logic from {@link it.tref.liferay.mapit.map.model.impl.PluginPortletPreferencesModelImpl}. If both <code>orderByComparator</code> and pagination are absent, for performance reasons, the query will not have an ORDER BY clause and the returned result set will be sorted on by the primary key in an ascending order.
	* </p>
	*
	* @param portletId the portlet ID
	* @param plugin the plugin
	* @param start the lower bound of the range of plugin portlet preferenceses
	* @param end the upper bound of the range of plugin portlet preferenceses (not inclusive)
	* @return the range of matching plugin portlet preferenceses
	* @throws SystemException if a system exception occurred
	*/
	public static java.util.List<it.tref.liferay.mapit.map.model.PluginPortletPreferences> findByP_P(
		java.lang.String portletId, java.lang.String plugin, int start, int end)
		throws com.liferay.portal.kernel.exception.SystemException {
		return getPersistence().findByP_P(portletId, plugin, start, end);
	}

	/**
	* Returns an ordered range of all the plugin portlet preferenceses where portletId = &#63; and plugin = &#63;.
	*
	* <p>
	* Useful when paginating results. Returns a maximum of <code>end - start</code> instances. <code>start</code> and <code>end</code> are not primary keys, they are indexes in the result set. Thus, <code>0</code> refers to the first result in the set. Setting both <code>start</code> and <code>end</code> to {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS} will return the full result set. If <code>orderByComparator</code> is specified, then the query will include the given ORDER BY logic. If <code>orderByComparator</code> is absent and pagination is required (<code>start</code> and <code>end</code> are not {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS}), then the query will include the default ORDER BY logic from {@link it.tref.liferay.mapit.map.model.impl.PluginPortletPreferencesModelImpl}. If both <code>orderByComparator</code> and pagination are absent, for performance reasons, the query will not have an ORDER BY clause and the returned result set will be sorted on by the primary key in an ascending order.
	* </p>
	*
	* @param portletId the portlet ID
	* @param plugin the plugin
	* @param start the lower bound of the range of plugin portlet preferenceses
	* @param end the upper bound of the range of plugin portlet preferenceses (not inclusive)
	* @param orderByComparator the comparator to order the results by (optionally <code>null</code>)
	* @return the ordered range of matching plugin portlet preferenceses
	* @throws SystemException if a system exception occurred
	*/
	public static java.util.List<it.tref.liferay.mapit.map.model.PluginPortletPreferences> findByP_P(
		java.lang.String portletId, java.lang.String plugin, int start,
		int end,
		com.liferay.portal.kernel.util.OrderByComparator orderByComparator)
		throws com.liferay.portal.kernel.exception.SystemException {
		return getPersistence()
				   .findByP_P(portletId, plugin, start, end, orderByComparator);
	}

	/**
	* Returns the first plugin portlet preferences in the ordered set where portletId = &#63; and plugin = &#63;.
	*
	* @param portletId the portlet ID
	* @param plugin the plugin
	* @param orderByComparator the comparator to order the set by (optionally <code>null</code>)
	* @return the first matching plugin portlet preferences
	* @throws it.tref.liferay.mapit.map.NoSuchPluginPortletPreferencesException if a matching plugin portlet preferences could not be found
	* @throws SystemException if a system exception occurred
	*/
	public static it.tref.liferay.mapit.map.model.PluginPortletPreferences findByP_P_First(
		java.lang.String portletId, java.lang.String plugin,
		com.liferay.portal.kernel.util.OrderByComparator orderByComparator)
		throws com.liferay.portal.kernel.exception.SystemException,
			it.tref.liferay.mapit.map.NoSuchPluginPortletPreferencesException {
		return getPersistence()
				   .findByP_P_First(portletId, plugin, orderByComparator);
	}

	/**
	* Returns the first plugin portlet preferences in the ordered set where portletId = &#63; and plugin = &#63;.
	*
	* @param portletId the portlet ID
	* @param plugin the plugin
	* @param orderByComparator the comparator to order the set by (optionally <code>null</code>)
	* @return the first matching plugin portlet preferences, or <code>null</code> if a matching plugin portlet preferences could not be found
	* @throws SystemException if a system exception occurred
	*/
	public static it.tref.liferay.mapit.map.model.PluginPortletPreferences fetchByP_P_First(
		java.lang.String portletId, java.lang.String plugin,
		com.liferay.portal.kernel.util.OrderByComparator orderByComparator)
		throws com.liferay.portal.kernel.exception.SystemException {
		return getPersistence()
				   .fetchByP_P_First(portletId, plugin, orderByComparator);
	}

	/**
	* Returns the last plugin portlet preferences in the ordered set where portletId = &#63; and plugin = &#63;.
	*
	* @param portletId the portlet ID
	* @param plugin the plugin
	* @param orderByComparator the comparator to order the set by (optionally <code>null</code>)
	* @return the last matching plugin portlet preferences
	* @throws it.tref.liferay.mapit.map.NoSuchPluginPortletPreferencesException if a matching plugin portlet preferences could not be found
	* @throws SystemException if a system exception occurred
	*/
	public static it.tref.liferay.mapit.map.model.PluginPortletPreferences findByP_P_Last(
		java.lang.String portletId, java.lang.String plugin,
		com.liferay.portal.kernel.util.OrderByComparator orderByComparator)
		throws com.liferay.portal.kernel.exception.SystemException,
			it.tref.liferay.mapit.map.NoSuchPluginPortletPreferencesException {
		return getPersistence()
				   .findByP_P_Last(portletId, plugin, orderByComparator);
	}

	/**
	* Returns the last plugin portlet preferences in the ordered set where portletId = &#63; and plugin = &#63;.
	*
	* @param portletId the portlet ID
	* @param plugin the plugin
	* @param orderByComparator the comparator to order the set by (optionally <code>null</code>)
	* @return the last matching plugin portlet preferences, or <code>null</code> if a matching plugin portlet preferences could not be found
	* @throws SystemException if a system exception occurred
	*/
	public static it.tref.liferay.mapit.map.model.PluginPortletPreferences fetchByP_P_Last(
		java.lang.String portletId, java.lang.String plugin,
		com.liferay.portal.kernel.util.OrderByComparator orderByComparator)
		throws com.liferay.portal.kernel.exception.SystemException {
		return getPersistence()
				   .fetchByP_P_Last(portletId, plugin, orderByComparator);
	}

	/**
	* Returns the plugin portlet preferenceses before and after the current plugin portlet preferences in the ordered set where portletId = &#63; and plugin = &#63;.
	*
	* @param pluginPortletPreferencesId the primary key of the current plugin portlet preferences
	* @param portletId the portlet ID
	* @param plugin the plugin
	* @param orderByComparator the comparator to order the set by (optionally <code>null</code>)
	* @return the previous, current, and next plugin portlet preferences
	* @throws it.tref.liferay.mapit.map.NoSuchPluginPortletPreferencesException if a plugin portlet preferences with the primary key could not be found
	* @throws SystemException if a system exception occurred
	*/
	public static it.tref.liferay.mapit.map.model.PluginPortletPreferences[] findByP_P_PrevAndNext(
		long pluginPortletPreferencesId, java.lang.String portletId,
		java.lang.String plugin,
		com.liferay.portal.kernel.util.OrderByComparator orderByComparator)
		throws com.liferay.portal.kernel.exception.SystemException,
			it.tref.liferay.mapit.map.NoSuchPluginPortletPreferencesException {
		return getPersistence()
				   .findByP_P_PrevAndNext(pluginPortletPreferencesId,
			portletId, plugin, orderByComparator);
	}

	/**
	* Removes all the plugin portlet preferenceses where portletId = &#63; and plugin = &#63; from the database.
	*
	* @param portletId the portlet ID
	* @param plugin the plugin
	* @throws SystemException if a system exception occurred
	*/
	public static void removeByP_P(java.lang.String portletId,
		java.lang.String plugin)
		throws com.liferay.portal.kernel.exception.SystemException {
		getPersistence().removeByP_P(portletId, plugin);
	}

	/**
	* Returns the number of plugin portlet preferenceses where portletId = &#63; and plugin = &#63;.
	*
	* @param portletId the portlet ID
	* @param plugin the plugin
	* @return the number of matching plugin portlet preferenceses
	* @throws SystemException if a system exception occurred
	*/
	public static int countByP_P(java.lang.String portletId,
		java.lang.String plugin)
		throws com.liferay.portal.kernel.exception.SystemException {
		return getPersistence().countByP_P(portletId, plugin);
	}

	/**
	* Returns all the plugin portlet preferenceses where ownerType = &#63; and plid = &#63; and portletId = &#63;.
	*
	* @param ownerType the owner type
	* @param plid the plid
	* @param portletId the portlet ID
	* @return the matching plugin portlet preferenceses
	* @throws SystemException if a system exception occurred
	*/
	public static java.util.List<it.tref.liferay.mapit.map.model.PluginPortletPreferences> findByO_P_P(
		int ownerType, long plid, java.lang.String portletId)
		throws com.liferay.portal.kernel.exception.SystemException {
		return getPersistence().findByO_P_P(ownerType, plid, portletId);
	}

	/**
	* Returns a range of all the plugin portlet preferenceses where ownerType = &#63; and plid = &#63; and portletId = &#63;.
	*
	* <p>
	* Useful when paginating results. Returns a maximum of <code>end - start</code> instances. <code>start</code> and <code>end</code> are not primary keys, they are indexes in the result set. Thus, <code>0</code> refers to the first result in the set. Setting both <code>start</code> and <code>end</code> to {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS} will return the full result set. If <code>orderByComparator</code> is specified, then the query will include the given ORDER BY logic. If <code>orderByComparator</code> is absent and pagination is required (<code>start</code> and <code>end</code> are not {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS}), then the query will include the default ORDER BY logic from {@link it.tref.liferay.mapit.map.model.impl.PluginPortletPreferencesModelImpl}. If both <code>orderByComparator</code> and pagination are absent, for performance reasons, the query will not have an ORDER BY clause and the returned result set will be sorted on by the primary key in an ascending order.
	* </p>
	*
	* @param ownerType the owner type
	* @param plid the plid
	* @param portletId the portlet ID
	* @param start the lower bound of the range of plugin portlet preferenceses
	* @param end the upper bound of the range of plugin portlet preferenceses (not inclusive)
	* @return the range of matching plugin portlet preferenceses
	* @throws SystemException if a system exception occurred
	*/
	public static java.util.List<it.tref.liferay.mapit.map.model.PluginPortletPreferences> findByO_P_P(
		int ownerType, long plid, java.lang.String portletId, int start, int end)
		throws com.liferay.portal.kernel.exception.SystemException {
		return getPersistence()
				   .findByO_P_P(ownerType, plid, portletId, start, end);
	}

	/**
	* Returns an ordered range of all the plugin portlet preferenceses where ownerType = &#63; and plid = &#63; and portletId = &#63;.
	*
	* <p>
	* Useful when paginating results. Returns a maximum of <code>end - start</code> instances. <code>start</code> and <code>end</code> are not primary keys, they are indexes in the result set. Thus, <code>0</code> refers to the first result in the set. Setting both <code>start</code> and <code>end</code> to {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS} will return the full result set. If <code>orderByComparator</code> is specified, then the query will include the given ORDER BY logic. If <code>orderByComparator</code> is absent and pagination is required (<code>start</code> and <code>end</code> are not {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS}), then the query will include the default ORDER BY logic from {@link it.tref.liferay.mapit.map.model.impl.PluginPortletPreferencesModelImpl}. If both <code>orderByComparator</code> and pagination are absent, for performance reasons, the query will not have an ORDER BY clause and the returned result set will be sorted on by the primary key in an ascending order.
	* </p>
	*
	* @param ownerType the owner type
	* @param plid the plid
	* @param portletId the portlet ID
	* @param start the lower bound of the range of plugin portlet preferenceses
	* @param end the upper bound of the range of plugin portlet preferenceses (not inclusive)
	* @param orderByComparator the comparator to order the results by (optionally <code>null</code>)
	* @return the ordered range of matching plugin portlet preferenceses
	* @throws SystemException if a system exception occurred
	*/
	public static java.util.List<it.tref.liferay.mapit.map.model.PluginPortletPreferences> findByO_P_P(
		int ownerType, long plid, java.lang.String portletId, int start,
		int end,
		com.liferay.portal.kernel.util.OrderByComparator orderByComparator)
		throws com.liferay.portal.kernel.exception.SystemException {
		return getPersistence()
				   .findByO_P_P(ownerType, plid, portletId, start, end,
			orderByComparator);
	}

	/**
	* Returns the first plugin portlet preferences in the ordered set where ownerType = &#63; and plid = &#63; and portletId = &#63;.
	*
	* @param ownerType the owner type
	* @param plid the plid
	* @param portletId the portlet ID
	* @param orderByComparator the comparator to order the set by (optionally <code>null</code>)
	* @return the first matching plugin portlet preferences
	* @throws it.tref.liferay.mapit.map.NoSuchPluginPortletPreferencesException if a matching plugin portlet preferences could not be found
	* @throws SystemException if a system exception occurred
	*/
	public static it.tref.liferay.mapit.map.model.PluginPortletPreferences findByO_P_P_First(
		int ownerType, long plid, java.lang.String portletId,
		com.liferay.portal.kernel.util.OrderByComparator orderByComparator)
		throws com.liferay.portal.kernel.exception.SystemException,
			it.tref.liferay.mapit.map.NoSuchPluginPortletPreferencesException {
		return getPersistence()
				   .findByO_P_P_First(ownerType, plid, portletId,
			orderByComparator);
	}

	/**
	* Returns the first plugin portlet preferences in the ordered set where ownerType = &#63; and plid = &#63; and portletId = &#63;.
	*
	* @param ownerType the owner type
	* @param plid the plid
	* @param portletId the portlet ID
	* @param orderByComparator the comparator to order the set by (optionally <code>null</code>)
	* @return the first matching plugin portlet preferences, or <code>null</code> if a matching plugin portlet preferences could not be found
	* @throws SystemException if a system exception occurred
	*/
	public static it.tref.liferay.mapit.map.model.PluginPortletPreferences fetchByO_P_P_First(
		int ownerType, long plid, java.lang.String portletId,
		com.liferay.portal.kernel.util.OrderByComparator orderByComparator)
		throws com.liferay.portal.kernel.exception.SystemException {
		return getPersistence()
				   .fetchByO_P_P_First(ownerType, plid, portletId,
			orderByComparator);
	}

	/**
	* Returns the last plugin portlet preferences in the ordered set where ownerType = &#63; and plid = &#63; and portletId = &#63;.
	*
	* @param ownerType the owner type
	* @param plid the plid
	* @param portletId the portlet ID
	* @param orderByComparator the comparator to order the set by (optionally <code>null</code>)
	* @return the last matching plugin portlet preferences
	* @throws it.tref.liferay.mapit.map.NoSuchPluginPortletPreferencesException if a matching plugin portlet preferences could not be found
	* @throws SystemException if a system exception occurred
	*/
	public static it.tref.liferay.mapit.map.model.PluginPortletPreferences findByO_P_P_Last(
		int ownerType, long plid, java.lang.String portletId,
		com.liferay.portal.kernel.util.OrderByComparator orderByComparator)
		throws com.liferay.portal.kernel.exception.SystemException,
			it.tref.liferay.mapit.map.NoSuchPluginPortletPreferencesException {
		return getPersistence()
				   .findByO_P_P_Last(ownerType, plid, portletId,
			orderByComparator);
	}

	/**
	* Returns the last plugin portlet preferences in the ordered set where ownerType = &#63; and plid = &#63; and portletId = &#63;.
	*
	* @param ownerType the owner type
	* @param plid the plid
	* @param portletId the portlet ID
	* @param orderByComparator the comparator to order the set by (optionally <code>null</code>)
	* @return the last matching plugin portlet preferences, or <code>null</code> if a matching plugin portlet preferences could not be found
	* @throws SystemException if a system exception occurred
	*/
	public static it.tref.liferay.mapit.map.model.PluginPortletPreferences fetchByO_P_P_Last(
		int ownerType, long plid, java.lang.String portletId,
		com.liferay.portal.kernel.util.OrderByComparator orderByComparator)
		throws com.liferay.portal.kernel.exception.SystemException {
		return getPersistence()
				   .fetchByO_P_P_Last(ownerType, plid, portletId,
			orderByComparator);
	}

	/**
	* Returns the plugin portlet preferenceses before and after the current plugin portlet preferences in the ordered set where ownerType = &#63; and plid = &#63; and portletId = &#63;.
	*
	* @param pluginPortletPreferencesId the primary key of the current plugin portlet preferences
	* @param ownerType the owner type
	* @param plid the plid
	* @param portletId the portlet ID
	* @param orderByComparator the comparator to order the set by (optionally <code>null</code>)
	* @return the previous, current, and next plugin portlet preferences
	* @throws it.tref.liferay.mapit.map.NoSuchPluginPortletPreferencesException if a plugin portlet preferences with the primary key could not be found
	* @throws SystemException if a system exception occurred
	*/
	public static it.tref.liferay.mapit.map.model.PluginPortletPreferences[] findByO_P_P_PrevAndNext(
		long pluginPortletPreferencesId, int ownerType, long plid,
		java.lang.String portletId,
		com.liferay.portal.kernel.util.OrderByComparator orderByComparator)
		throws com.liferay.portal.kernel.exception.SystemException,
			it.tref.liferay.mapit.map.NoSuchPluginPortletPreferencesException {
		return getPersistence()
				   .findByO_P_P_PrevAndNext(pluginPortletPreferencesId,
			ownerType, plid, portletId, orderByComparator);
	}

	/**
	* Removes all the plugin portlet preferenceses where ownerType = &#63; and plid = &#63; and portletId = &#63; from the database.
	*
	* @param ownerType the owner type
	* @param plid the plid
	* @param portletId the portlet ID
	* @throws SystemException if a system exception occurred
	*/
	public static void removeByO_P_P(int ownerType, long plid,
		java.lang.String portletId)
		throws com.liferay.portal.kernel.exception.SystemException {
		getPersistence().removeByO_P_P(ownerType, plid, portletId);
	}

	/**
	* Returns the number of plugin portlet preferenceses where ownerType = &#63; and plid = &#63; and portletId = &#63;.
	*
	* @param ownerType the owner type
	* @param plid the plid
	* @param portletId the portlet ID
	* @return the number of matching plugin portlet preferenceses
	* @throws SystemException if a system exception occurred
	*/
	public static int countByO_P_P(int ownerType, long plid,
		java.lang.String portletId)
		throws com.liferay.portal.kernel.exception.SystemException {
		return getPersistence().countByO_P_P(ownerType, plid, portletId);
	}

	/**
	* Returns the plugin portlet preferences where ownerId = &#63; and ownerType = &#63; and plid = &#63; and portletId = &#63; and plugin = &#63; or throws a {@link it.tref.liferay.mapit.map.NoSuchPluginPortletPreferencesException} if it could not be found.
	*
	* @param ownerId the owner ID
	* @param ownerType the owner type
	* @param plid the plid
	* @param portletId the portlet ID
	* @param plugin the plugin
	* @return the matching plugin portlet preferences
	* @throws it.tref.liferay.mapit.map.NoSuchPluginPortletPreferencesException if a matching plugin portlet preferences could not be found
	* @throws SystemException if a system exception occurred
	*/
	public static it.tref.liferay.mapit.map.model.PluginPortletPreferences findByO_O_P_P_P(
		long ownerId, int ownerType, long plid, java.lang.String portletId,
		java.lang.String plugin)
		throws com.liferay.portal.kernel.exception.SystemException,
			it.tref.liferay.mapit.map.NoSuchPluginPortletPreferencesException {
		return getPersistence()
				   .findByO_O_P_P_P(ownerId, ownerType, plid, portletId, plugin);
	}

	/**
	* Returns the plugin portlet preferences where ownerId = &#63; and ownerType = &#63; and plid = &#63; and portletId = &#63; and plugin = &#63; or returns <code>null</code> if it could not be found. Uses the finder cache.
	*
	* @param ownerId the owner ID
	* @param ownerType the owner type
	* @param plid the plid
	* @param portletId the portlet ID
	* @param plugin the plugin
	* @return the matching plugin portlet preferences, or <code>null</code> if a matching plugin portlet preferences could not be found
	* @throws SystemException if a system exception occurred
	*/
	public static it.tref.liferay.mapit.map.model.PluginPortletPreferences fetchByO_O_P_P_P(
		long ownerId, int ownerType, long plid, java.lang.String portletId,
		java.lang.String plugin)
		throws com.liferay.portal.kernel.exception.SystemException {
		return getPersistence()
				   .fetchByO_O_P_P_P(ownerId, ownerType, plid, portletId, plugin);
	}

	/**
	* Returns the plugin portlet preferences where ownerId = &#63; and ownerType = &#63; and plid = &#63; and portletId = &#63; and plugin = &#63; or returns <code>null</code> if it could not be found, optionally using the finder cache.
	*
	* @param ownerId the owner ID
	* @param ownerType the owner type
	* @param plid the plid
	* @param portletId the portlet ID
	* @param plugin the plugin
	* @param retrieveFromCache whether to use the finder cache
	* @return the matching plugin portlet preferences, or <code>null</code> if a matching plugin portlet preferences could not be found
	* @throws SystemException if a system exception occurred
	*/
	public static it.tref.liferay.mapit.map.model.PluginPortletPreferences fetchByO_O_P_P_P(
		long ownerId, int ownerType, long plid, java.lang.String portletId,
		java.lang.String plugin, boolean retrieveFromCache)
		throws com.liferay.portal.kernel.exception.SystemException {
		return getPersistence()
				   .fetchByO_O_P_P_P(ownerId, ownerType, plid, portletId,
			plugin, retrieveFromCache);
	}

	/**
	* Removes the plugin portlet preferences where ownerId = &#63; and ownerType = &#63; and plid = &#63; and portletId = &#63; and plugin = &#63; from the database.
	*
	* @param ownerId the owner ID
	* @param ownerType the owner type
	* @param plid the plid
	* @param portletId the portlet ID
	* @param plugin the plugin
	* @return the plugin portlet preferences that was removed
	* @throws SystemException if a system exception occurred
	*/
	public static it.tref.liferay.mapit.map.model.PluginPortletPreferences removeByO_O_P_P_P(
		long ownerId, int ownerType, long plid, java.lang.String portletId,
		java.lang.String plugin)
		throws com.liferay.portal.kernel.exception.SystemException,
			it.tref.liferay.mapit.map.NoSuchPluginPortletPreferencesException {
		return getPersistence()
				   .removeByO_O_P_P_P(ownerId, ownerType, plid, portletId,
			plugin);
	}

	/**
	* Returns the number of plugin portlet preferenceses where ownerId = &#63; and ownerType = &#63; and plid = &#63; and portletId = &#63; and plugin = &#63;.
	*
	* @param ownerId the owner ID
	* @param ownerType the owner type
	* @param plid the plid
	* @param portletId the portlet ID
	* @param plugin the plugin
	* @return the number of matching plugin portlet preferenceses
	* @throws SystemException if a system exception occurred
	*/
	public static int countByO_O_P_P_P(long ownerId, int ownerType, long plid,
		java.lang.String portletId, java.lang.String plugin)
		throws com.liferay.portal.kernel.exception.SystemException {
		return getPersistence()
				   .countByO_O_P_P_P(ownerId, ownerType, plid, portletId, plugin);
	}

	/**
	* Caches the plugin portlet preferences in the entity cache if it is enabled.
	*
	* @param pluginPortletPreferences the plugin portlet preferences
	*/
	public static void cacheResult(
		it.tref.liferay.mapit.map.model.PluginPortletPreferences pluginPortletPreferences) {
		getPersistence().cacheResult(pluginPortletPreferences);
	}

	/**
	* Caches the plugin portlet preferenceses in the entity cache if it is enabled.
	*
	* @param pluginPortletPreferenceses the plugin portlet preferenceses
	*/
	public static void cacheResult(
		java.util.List<it.tref.liferay.mapit.map.model.PluginPortletPreferences> pluginPortletPreferenceses) {
		getPersistence().cacheResult(pluginPortletPreferenceses);
	}

	/**
	* Creates a new plugin portlet preferences with the primary key. Does not add the plugin portlet preferences to the database.
	*
	* @param pluginPortletPreferencesId the primary key for the new plugin portlet preferences
	* @return the new plugin portlet preferences
	*/
	public static it.tref.liferay.mapit.map.model.PluginPortletPreferences create(
		long pluginPortletPreferencesId) {
		return getPersistence().create(pluginPortletPreferencesId);
	}

	/**
	* Removes the plugin portlet preferences with the primary key from the database. Also notifies the appropriate model listeners.
	*
	* @param pluginPortletPreferencesId the primary key of the plugin portlet preferences
	* @return the plugin portlet preferences that was removed
	* @throws it.tref.liferay.mapit.map.NoSuchPluginPortletPreferencesException if a plugin portlet preferences with the primary key could not be found
	* @throws SystemException if a system exception occurred
	*/
	public static it.tref.liferay.mapit.map.model.PluginPortletPreferences remove(
		long pluginPortletPreferencesId)
		throws com.liferay.portal.kernel.exception.SystemException,
			it.tref.liferay.mapit.map.NoSuchPluginPortletPreferencesException {
		return getPersistence().remove(pluginPortletPreferencesId);
	}

	public static it.tref.liferay.mapit.map.model.PluginPortletPreferences updateImpl(
		it.tref.liferay.mapit.map.model.PluginPortletPreferences pluginPortletPreferences)
		throws com.liferay.portal.kernel.exception.SystemException {
		return getPersistence().updateImpl(pluginPortletPreferences);
	}

	/**
	* Returns the plugin portlet preferences with the primary key or throws a {@link it.tref.liferay.mapit.map.NoSuchPluginPortletPreferencesException} if it could not be found.
	*
	* @param pluginPortletPreferencesId the primary key of the plugin portlet preferences
	* @return the plugin portlet preferences
	* @throws it.tref.liferay.mapit.map.NoSuchPluginPortletPreferencesException if a plugin portlet preferences with the primary key could not be found
	* @throws SystemException if a system exception occurred
	*/
	public static it.tref.liferay.mapit.map.model.PluginPortletPreferences findByPrimaryKey(
		long pluginPortletPreferencesId)
		throws com.liferay.portal.kernel.exception.SystemException,
			it.tref.liferay.mapit.map.NoSuchPluginPortletPreferencesException {
		return getPersistence().findByPrimaryKey(pluginPortletPreferencesId);
	}

	/**
	* Returns the plugin portlet preferences with the primary key or returns <code>null</code> if it could not be found.
	*
	* @param pluginPortletPreferencesId the primary key of the plugin portlet preferences
	* @return the plugin portlet preferences, or <code>null</code> if a plugin portlet preferences with the primary key could not be found
	* @throws SystemException if a system exception occurred
	*/
	public static it.tref.liferay.mapit.map.model.PluginPortletPreferences fetchByPrimaryKey(
		long pluginPortletPreferencesId)
		throws com.liferay.portal.kernel.exception.SystemException {
		return getPersistence().fetchByPrimaryKey(pluginPortletPreferencesId);
	}

	/**
	* Returns all the plugin portlet preferenceses.
	*
	* @return the plugin portlet preferenceses
	* @throws SystemException if a system exception occurred
	*/
	public static java.util.List<it.tref.liferay.mapit.map.model.PluginPortletPreferences> findAll()
		throws com.liferay.portal.kernel.exception.SystemException {
		return getPersistence().findAll();
	}

	/**
	* Returns a range of all the plugin portlet preferenceses.
	*
	* <p>
	* Useful when paginating results. Returns a maximum of <code>end - start</code> instances. <code>start</code> and <code>end</code> are not primary keys, they are indexes in the result set. Thus, <code>0</code> refers to the first result in the set. Setting both <code>start</code> and <code>end</code> to {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS} will return the full result set. If <code>orderByComparator</code> is specified, then the query will include the given ORDER BY logic. If <code>orderByComparator</code> is absent and pagination is required (<code>start</code> and <code>end</code> are not {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS}), then the query will include the default ORDER BY logic from {@link it.tref.liferay.mapit.map.model.impl.PluginPortletPreferencesModelImpl}. If both <code>orderByComparator</code> and pagination are absent, for performance reasons, the query will not have an ORDER BY clause and the returned result set will be sorted on by the primary key in an ascending order.
	* </p>
	*
	* @param start the lower bound of the range of plugin portlet preferenceses
	* @param end the upper bound of the range of plugin portlet preferenceses (not inclusive)
	* @return the range of plugin portlet preferenceses
	* @throws SystemException if a system exception occurred
	*/
	public static java.util.List<it.tref.liferay.mapit.map.model.PluginPortletPreferences> findAll(
		int start, int end)
		throws com.liferay.portal.kernel.exception.SystemException {
		return getPersistence().findAll(start, end);
	}

	/**
	* Returns an ordered range of all the plugin portlet preferenceses.
	*
	* <p>
	* Useful when paginating results. Returns a maximum of <code>end - start</code> instances. <code>start</code> and <code>end</code> are not primary keys, they are indexes in the result set. Thus, <code>0</code> refers to the first result in the set. Setting both <code>start</code> and <code>end</code> to {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS} will return the full result set. If <code>orderByComparator</code> is specified, then the query will include the given ORDER BY logic. If <code>orderByComparator</code> is absent and pagination is required (<code>start</code> and <code>end</code> are not {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS}), then the query will include the default ORDER BY logic from {@link it.tref.liferay.mapit.map.model.impl.PluginPortletPreferencesModelImpl}. If both <code>orderByComparator</code> and pagination are absent, for performance reasons, the query will not have an ORDER BY clause and the returned result set will be sorted on by the primary key in an ascending order.
	* </p>
	*
	* @param start the lower bound of the range of plugin portlet preferenceses
	* @param end the upper bound of the range of plugin portlet preferenceses (not inclusive)
	* @param orderByComparator the comparator to order the results by (optionally <code>null</code>)
	* @return the ordered range of plugin portlet preferenceses
	* @throws SystemException if a system exception occurred
	*/
	public static java.util.List<it.tref.liferay.mapit.map.model.PluginPortletPreferences> findAll(
		int start, int end,
		com.liferay.portal.kernel.util.OrderByComparator orderByComparator)
		throws com.liferay.portal.kernel.exception.SystemException {
		return getPersistence().findAll(start, end, orderByComparator);
	}

	/**
	* Removes all the plugin portlet preferenceses from the database.
	*
	* @throws SystemException if a system exception occurred
	*/
	public static void removeAll()
		throws com.liferay.portal.kernel.exception.SystemException {
		getPersistence().removeAll();
	}

	/**
	* Returns the number of plugin portlet preferenceses.
	*
	* @return the number of plugin portlet preferenceses
	* @throws SystemException if a system exception occurred
	*/
	public static int countAll()
		throws com.liferay.portal.kernel.exception.SystemException {
		return getPersistence().countAll();
	}

	public static PluginPortletPreferencesPersistence getPersistence() {
		if (_persistence == null) {
			_persistence = (PluginPortletPreferencesPersistence)PortletBeanLocatorUtil.locate(it.tref.liferay.mapit.map.service.ClpSerializer.getServletContextName(),
					PluginPortletPreferencesPersistence.class.getName());

			ReferenceRegistry.registerReference(PluginPortletPreferencesUtil.class,
				"_persistence");
		}

		return _persistence;
	}

	/**
	 * @deprecated As of 6.2.0
	 */
	public void setPersistence(PluginPortletPreferencesPersistence persistence) {
	}

	private static PluginPortletPreferencesPersistence _persistence;
}